Package io.dapr.v1

# Interface CommonProtos.InvokeResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.InvokeResponse`, `CommonProtos.InvokeResponse.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.InvokeResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContentType()` | Required.
  `com.google.protobuf.ByteString` | `getContentTypeBytes()` | Required.
  `com.google.protobuf.Any` | `getData()` | Required.
  `com.google.protobuf.AnyOrBuilder` | `getDataOrBuilder()` | Required.
  `boolean` | `hasData()` | Required.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasData

    boolean hasData()

         Required. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Returns:
      Whether the data field is set.

  - ### getData

    com.google.protobuf.Any getData()

         Required. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Returns:
      The data.

  - ### getDataOrBuilder

    com.google.protobuf.AnyOrBuilder getDataOrBuilder()

         Required. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`

  - ### getContentType

    java.lang.String getContentType()

         Required. The type of data content.

    `string content_type = 2;`
    Returns:
      The contentType.

  - ### getContentTypeBytes

    com.google.protobuf.ByteString getContentTypeBytes()

         Required. The type of data content.

    `string content_type = 2;`
    Returns:
      The bytes for contentType.